Subject: RE: bug#18253: 24.4.50; doc string of `remq': correct it per the doc of `remove'

From: [email-masked]
Date: Wed, 27 Aug 2014 14:31:01 +0900

Hi,

> And most (all other?) Lisps have given it the same behavior as `remove',
> the only difference being to use `eq' instead of `equal'.  IOW, they
> systematically copy the sequence.

How about to avoid the use of word `copy' to describe both `remq' and
`remove'?

The point of remq/remove is non-destructive operation.  Whether it
returns a copy or not is not important.  This matches CL's `remove'
definition.  Actually, even the current `remove' implementation does not
return a copy when SEQ is not a list and there is nothing to remove.

If document explicitly says it returns a copy, reader might think
destructive operation can be performed on the result of both functions
while expecting original sequence unmodified.

enami.